Package net.snowflake.client.core.bind

## Enum BindException.Type

- java.lang.Object
- - java.lang.Enum<BindException.Type>
  - - net.snowflake.client.core.bind.BindException.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<BindException.Type>`

Enclosing class:
  BindException

    public static enum BindException.Type
    extends Enum<BindException.Type>

### Enum Constant Summary

Enum Constants
`OTHER`
`SERIALIZATION`
`UPLOAD`

### Field Summary

Fields
`TelemetryField` `field`

### Method Summary

All Methods Static Methods Concrete Methods
`static BindException.Type` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static BindException.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SERIALIZATION

    public static final BindException.Type SERIALIZATION

#### UPLOAD

    public static final BindException.Type UPLOAD

#### OTHER

    public static final BindException.Type OTHER

### Field Detail

#### field

    public final TelemetryField field

### Method Detail

#### values

    public static BindException.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BindException.Type c : BindException.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BindException.Type valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null